Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfTransition

    java.lang.Object
      com.lowagie.text.pdf.PdfTransition

    public class PdfTransition

extends Object

Field Summary
`static int` | `BLINDH` Vertical Blinds
`static int` | `BLINDV` Vertical Blinds
`static int` | `BTWIPE` Bottom-Top Wipe
`static int` | `DGLITTER` Diagonal Glitter
`static int` | `DISSOLVE` Dissolve
`protected int` | `duration` duration of the transition effect
`static int` | `INBOX` Inward Box
`static int` | `LRGLITTER` Left-Right Glitter
`static int` | `LRWIPE` Left-Right Wipe
`static int` | `OUTBOX` Outward Box
`static int` | `RLWIPE` Right-Left Wipe
`static int` | `SPLITHIN` IN Horizontal Split
`static int` | `SPLITHOUT` Out Horizontal Split
`static int` | `SPLITVIN` In Vertical Split
`static int` | `SPLITVOUT` Out Vertical Split
`static int` | `TBGLITTER` Top-Bottom Glitter
`static int` | `TBWIPE` Top-Bottom Wipe
`protected int` | `type` type of the transition effect

Constructor Summary
`PdfTransition()` Constructs a `Transition`.
`PdfTransition(int type)` Constructs a `Transition`.
`PdfTransition(int type, int duration)` Constructs a `Transition`.

Method Summary
`int` | `getDuration()`
`PdfDictionary` | `getTransitionDictionary()`
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPLITVOUT

    public static final int SPLITVOUT

  Out Vertical Split

  See Also:
    Constant Field Values

### SPLITHOUT

    public static final int SPLITHOUT

  Out Horizontal Split

  See Also:
    Constant Field Values

### SPLITVIN

    public static final int SPLITVIN

  In Vertical Split

  See Also:
    Constant Field Values

### SPLITHIN

    public static final int SPLITHIN

  IN Horizontal Split

  See Also:
    Constant Field Values

### BLINDV

    public static final int BLINDV

  Vertical Blinds

  See Also:
    Constant Field Values

### BLINDH

    public static final int BLINDH

  Vertical Blinds

  See Also:
    Constant Field Values

### INBOX

    public static final int INBOX

  Inward Box

  See Also:
    Constant Field Values

### OUTBOX

    public static final int OUTBOX

  Outward Box

  See Also:
    Constant Field Values

### LRWIPE

    public static final int LRWIPE

  Left-Right Wipe

  See Also:
    Constant Field Values

### RLWIPE

    public static final int RLWIPE

  Right-Left Wipe

  See Also:
    Constant Field Values

### BTWIPE

    public static final int BTWIPE

  Bottom-Top Wipe

  See Also:
    Constant Field Values

### TBWIPE

    public static final int TBWIPE

  Top-Bottom Wipe

  See Also:
    Constant Field Values

### DISSOLVE

    public static final int DISSOLVE

  Dissolve

  See Also:
    Constant Field Values

### LRGLITTER

    public static final int LRGLITTER

  Left-Right Glitter

  See Also:
    Constant Field Values

### TBGLITTER

    public static final int TBGLITTER

  Top-Bottom Glitter

  See Also:
    Constant Field Values

### DGLITTER

    public static final int DGLITTER

  Diagonal Glitter

  See Also:
    Constant Field Values

### duration

    protected int duration

  duration of the transition effect

### type

    protected int type

  type of the transition effect

Constructor Detail

### PdfTransition

    public PdfTransition()

  Constructs a `Transition`.

### PdfTransition

    public PdfTransition(int type)

  Constructs a `Transition`.

  Parameters:
    `type` - type of the transition effect

### PdfTransition

    public PdfTransition(int type,
                         int duration)

  Constructs a `Transition`.

  Parameters:
    `type` - type of the transition effect
    `duration` - duration of the transition effect

Method Detail

### getDuration

    public int getDuration()

### getType

    public int getType()

### getTransitionDictionary

    public PdfDictionary getTransitionDictionary()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD